org.apache.maven.toolchain

## Interface ToolchainFactory

- All Known Implementing Classes:
    DefaultJavaToolchainFactory

      public interface ToolchainFactory

  Author:
    mkleint

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolchainPrivate` | `createDefaultToolchain()` Returns the default instance of the particular type of toolchain, can return null if not applicable.
    `ToolchainPrivate` | `createToolchain(ToolchainModel model)` Create instance of toolchain.

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### createToolchain

          ToolchainPrivate createToolchain(ToolchainModel model)
                                           throws MisconfiguredToolchainException

      Create instance of toolchain.
      Throws:
        `MisconfiguredToolchainException`

    - #### createDefaultToolchain

          ToolchainPrivate createDefaultToolchain()

      Returns the default instance of the particular type of toolchain, can return null if not applicable. TODO keep around??